# Read the Docs configuration file for MkDocs projects
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

# Set the version of Python and other tools you might need
build:
  os: ubuntu-22.04
  tools:
    python: "3.9"
  apt_packages:
    - weasyprint
    # Required for mkdocs-with-pdf
   # - weasyprint
      # commands:
          # - echo "$READTHEDOCS_OUTPUT"
      # - mkdir -p $READTHEDOCS_OUTPUT/html/
      # - mkdir -p $READTHEDOCS_OUTPUT/pdf/
      #    - touch $READTHEDOCS_OUTPUT/pdf/test
mkdocs:
  configuration: mkdocs.yml

# Build PDF & ePub
#formats:
#  - epub
#  - pdf
# Optionally declare the Python requirements required to build your docs
python:
  install:
    - requirements: requirements.txt

